clang-tools 6.0.0

Namespaces
InconsistentDeclarationParameterNameCheck.cpp File Reference
`#include "InconsistentDeclarationParameterNameCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include <algorithm>`
`#include <functional>`
`#include <sstream>`
Include dependency graph for InconsistentDeclarationParameterNameCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Variable Documentation

## ◆ DeclarationLocation

SourceLocation DeclarationLocation

Definition at line 57 of file InconsistentDeclarationParameterNameCheck.cpp.

## ◆ DifferingParams

DifferingParamsContainer DifferingParams

Definition at line 58 of file InconsistentDeclarationParameterNameCheck.cpp.

## ◆ GenerateFixItHint

bool GenerateFixItHint

Definition at line 46 of file InconsistentDeclarationParameterNameCheck.cpp.

## ◆ OtherName

StringRef OtherName

Definition at line 44 of file InconsistentDeclarationParameterNameCheck.cpp.

## ◆ OtherNameRange

SourceRange OtherNameRange

Definition at line 45 of file InconsistentDeclarationParameterNameCheck.cpp.

## ◆ SourceName

StringRef SourceName

Definition at line 43 of file InconsistentDeclarationParameterNameCheck.cpp.